<?php

$idmac = $_POST["idmac"];
$nome = $_POST["nome"];
$contador = $_POST["contador"];
$ativo = $_POST["ativo"];

include 'conectabanco.php';

try {
    // Preparando a instrução SQL com segurança (evita SQL Injection)
    $stmt = $conn->prepare("INSERT INTO macedufvini(idmac, nome, contador, ativo) 
                            VALUES (:idmac, :nome, :contador, :ativo)");
    
    // Bind dos parâmetros
    $stmt->bindParam(':idmac', $idmac);
    $stmt->bindParam(':nome', $nome);
    $stmt->bindParam(':contador', $contador);
    $stmt->bindParam(':ativo', $ativo);

if ($stmt->execute()) {
    $rowCount = $stmt->rowCount();
    echo "Ação bem-sucedida.";
} else {
    $errorInfo = $stmt->errorInfo();
    echo "Erro: " . $errorInfo[2]; // Mensagem de erro específica do banco de dados
    }
}
catch (Exception $e) {
    echo 'Erro: ',  $e->getMessage(), "\n";
}


// Fecha a conexão corretamente com PDO
$conn = null;
?>
